Description

FreeCAD is Python 2D/3D CAD package with parametric functions.

http://www.freecadweb.org/wiki/?title=About_FreeCAD

It CAD also be used in console mode only and controled by the command line.

http://www.freecadweb.org/wiki/index.php?title=Start_up_and_Configuration

FreeCAD can be run as a simple Python module.

Do you think QGIS could interfer through a plugin and/or scripts to get advanced CAD features from FreeCAD?

FreeCAD could be used for 3D design as well. For example, I want to get a building and then georeference it inside QGIS is the way of

SketchUp does.

So FreeCAD could be used to get 3D design inside QGIS.

And maybe it could bring features to create an AutoCAD Map and/or AutoCAD Civil like bundle(s).

Just a set of ideas I wanted to share while I'm using both of them and like both of them.

History

#1 - 2015-10-12 05:20 PM - MRick -

I forgot to mention, it could bring more simple features of what RhinoCity/RhinoTerrain do with Rhino 3D and GIS.

http://www.rhinoterrain.com/en/home.html#.VhxN969e_MU

#2 - 2015-10-12 11:33 PM - Paolo Cavallini

Sounds interesting. I think this is more appropriate for a public discussion on qgis-dev mailing list than as a ticket there.

Have you contacted the developers of FreeCAD? It would help a lot if they would be interested in cooperating.

Thanks.

#3 - 2015-10-13 04:29 AM - MRick -

No I didn't contact the developers of FreeCAD yet. I first wanted to see if it could be interesting or not to use it with QGIS.

I'll try to publish this in the qgis-dev mailing list.

The ticket can be closed though if this isn't the right place.

#4 - 2015-10-13 03:04 PM - MRick -

2025-04-27 1/2

http://www.freecadweb.org/wiki/?title=About_FreeCAD
http://www.freecadweb.org/wiki/index.php?title=Start_up_and_Configuration
http://www.rhinoterrain.com/en/home.html#.VhxN969e_MU


FreeCAD: Civil Engineering Design functions

http://forum.freecadweb.org/viewtopic.php?f=8&#38;t=6973

#5 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown
